import request from '@/utils/request'

// 查询清算成员信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrLiquidationMemberInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询清算成员信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrLiquidationMemberInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增清算成员信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrLiquidationMemberInfo',
    method: 'post',
    data: data
  })
}

// 修改清算成员信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrLiquidationMemberInfo',
    method: 'put',
    data: data
  })
}

// 删除清算成员信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrLiquidationMemberInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrLiquidationMemberInfo/delete',ids)
}
